* calculator.l  lexical analyzer for calculator.y *
number		[09]+\.?|[09]*\.[09]+

[ ]			{ * skip blanks * }
{number}	{ sscanf(yytext, lf, yylval);
			   return NUMBER; }
\n|.		{ return yytext[0]; }
;
extern int  yylook();  
extern void yyoutput(int);
extern int  yyracc(int m);
extern int  yyreject();
extern void yyunput(int);
extern int  yywrap();

int yylineno =1;
 define YYU(x) x
 ifndef NLSTATE
 define NLSTATE yyprevious=YYNEWLINE
 endif
char yytext[YYLMAX];
struct yysvf *yylstate [YYL